import { Title, Description, Primary } from '@storybook/addon-docs/blocks';
import React from 'react';
import AdvertisingConfigPropType from '../components/utils/AdvertisingConfigPropType';
import { AdvertisingProvider, AdvertisingSlot } from '../index';
import { GptDecorator } from './utils';
export var DefaultStory = function DefaultStory() {
  var config = {
    slots: [{
      id: "div-slot",
      path: "/6355419/Travel/Europe",
      sizes: [[100, 100]]
    }],
    interstitialSlot: {
      path: "/6355419/Travel/Europe/France/Paris"
    }
  };
  return /*#__PURE__*/React.createElement(AdvertisingProvider, {
    config: config
  }, /*#__PURE__*/React.createElement(AdvertisingSlot, {
    id: "div-slot"
  }), /*#__PURE__*/React.createElement("a", {
    id: "link",
    href: "https://www.example.com/"
  }, "TRIGGER INTERSTITIAL"));
};
DefaultStory.propTypes = {
  config: AdvertisingConfigPropType
};
DefaultStory.storyName = 'GPT Interstitial';
export default {
  title: 'GPT Interstitial',
  decorators: [GptDecorator],
  parameters: {
    docs: {
      // see https://github.com/storybookjs/storybook/issues/12022
      source: {
        type: 'code'
      },
      description: {
        component: "\nThis example is the simplest implementation of an interstitial ad, delivered by the Google Ad \nManager, through Google Publisher Tag (GPT). see more information of the default implementation here:\nhttps://developers.google.com/publisher-tag/samples/display-web-interstitial-ad\n\nYou can prevent specific links from triggering GPT-managed web interstials by adding a \ndata-google-interstitial=\"false\" attribute to the anchor element or any ancestor of the anchor element.\n\n\u26A0\uFE0F **Please note** currently an interstitial is not working standalone, there must be a basic slot available that would be displayed.\n\n\u26A0\uFE0F **Please note** an interstistial can only triggered in separate window, it doesn't work in an iframe....\n        "
      },
      page: function page() {
        return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Title, null), /*#__PURE__*/React.createElement(Description, null), /*#__PURE__*/React.createElement(Primary, null));
      }
    }
  }
};