"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.DefaultStory = void 0;

var _blocks = require("@storybook/addon-docs/blocks");

var _react = _interopRequireDefault(require("react"));

var _AdvertisingConfigPropType = _interopRequireDefault(require("../components/utils/AdvertisingConfigPropType"));

var _index = require("../index");

var _utils = require("./utils");

var DefaultStory = function DefaultStory() {
  var config = {
    slots: [{
      id: "div-slot",
      path: "/6355419/Travel/Europe",
      sizes: [[100, 100]]
    }],
    interstitialSlot: {
      path: "/6355419/Travel/Europe/France/Paris"
    }
  };
  return /*#__PURE__*/_react["default"].createElement(_index.AdvertisingProvider, {
    config: config
  }, /*#__PURE__*/_react["default"].createElement(_index.AdvertisingSlot, {
    id: "div-slot"
  }), /*#__PURE__*/_react["default"].createElement("a", {
    id: "link",
    href: "https://www.example.com/"
  }, "TRIGGER INTERSTITIAL"));
};

exports.DefaultStory = DefaultStory;
DefaultStory.propTypes = {
  config: _AdvertisingConfigPropType["default"]
};
DefaultStory.storyName = 'GPT Interstitial';
var _default = {
  title: 'GPT Interstitial',
  decorators: [_utils.GptDecorator],
  parameters: {
    docs: {
      // see https://github.com/storybookjs/storybook/issues/12022
      source: {
        type: 'code'
      },
      description: {
        component: "\nThis example is the simplest implementation of an interstitial ad, delivered by the Google Ad \nManager, through Google Publisher Tag (GPT). see more information of the default implementation here:\nhttps://developers.google.com/publisher-tag/samples/display-web-interstitial-ad\n\nYou can prevent specific links from triggering GPT-managed web interstials by adding a \ndata-google-interstitial=\"false\" attribute to the anchor element or any ancestor of the anchor element.\n\n\u26A0\uFE0F **Please note** currently an interstitial is not working standalone, there must be a basic slot available that would be displayed.\n\n\u26A0\uFE0F **Please note** an interstistial can only triggered in separate window, it doesn't work in an iframe....\n        "
      },
      page: function page() {
        return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_blocks.Title, null), /*#__PURE__*/_react["default"].createElement(_blocks.Description, null), /*#__PURE__*/_react["default"].createElement(_blocks.Primary, null));
      }
    }
  }
};
exports["default"] = _default;